Bug 1124481 - [gluster] Missing apiwrapper module after installing new host
Summary: [gluster] Missing apiwrapper module after installing new host
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Darshan
QA Contact: Gil Klein
URL:
Whiteboard: gluster
Depends On:
Blocks: 1073943
TreeView+ depends on / blocked
 
Reported: 2014-07-29 14:58 UTC by Piotr Kliczewski
Modified: 2016-02-10 19:29 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:39:55 UTC
oVirt Team: Gluster


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 33007 master MERGED gluster: Fix for json-rpc issue wrt gluster commands. Never
oVirt gerrit 33036 ovirt-3.5 MERGED gluster: Fix for json-rpc issue wrt gluster commands. Never

Description Piotr Kliczewski 2014-07-29 14:58:31 UTC
Description of problem:


When installing new gluster host

2014-07-29 16:20:31,793 INFO  [org.ovirt.engine.core.vdsbroker.gluster.GlusterServersListVDSCommand] (DefaultQuartzScheduler_Worker-6) [1e9fadce] START, GlusterServersListVDSCommand(HostName = rhel, HostId = c4bdb3f1-1f7e-4bde-8307-69db91f1d762), log id: 6b563029
2014-07-29 16:20:31,794 INFO  [org.ovirt.vdsm.jsonrpc.client.reactors.stomp.StompCommonClient] (DefaultQuartzScheduler_Worker-6) Message sent: SEND
destination:/queue/_local/vdsm/requests
content-length:101

{"jsonrpc":"2.0","method":"GlusterHost.list","params":{},"id":"101bf460-6529-42d6-9370-a9629daad628"}
2014-07-29 16:20:31,797 INFO  [org.ovirt.vdsm.jsonrpc.client.internal.ResponseWorker] (ResponseWorker) Message received :{"jsonrpc": "2.0", "id": "101bf460-6529-42d6-9370-a9629daad628", "error": {"message": "The method does not exist / is not available.", "code": -32601}}


How reproducible:

Install new host with gluster service enabled using jsonrpc.

Steps to Reproduce:
1. Install gluster host with jsonrpc enabled

Actual results:
Host in UP state

Expected results:
Host in Not-Operational state

Comment 1 Sandro Bonazzola 2014-10-17 12:39:55 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.